Subject: Use clean DataHandler for each functional test action

Description

Currently the DataHandler is reused in functional tests which leads to unexpected behaviour for copied/deleted records.

The regular use case in the backend is to use a new DataHandler instance for each HTTP request.

Associated revisions

Revision 596d1706 - 2014-03-11 22:32 - Oliver Hader

[BUGFIX] Use clean DataHandler for each functional test action

Currently the DataHandler is reused in functional tests which
leads to unexpected behaviour for copied/deleted records. The
regular use case in the backend is to use a new DataHandler
instance for each HTTP request.

Resolves: #56729

Releases: 6.2

Change-Id: lea685f58625e6ef611d543e375a8¢24¢1595008d
Reviewed-on: https://review.typo3.org/28222

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-03-10 15:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28222

#2 - 2014-03-11 22:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28222
#3 - 2014-03-11 22:31 - Oliver Hader

- Subject changed from Use vanilla DataHandler for each functional test action to Use clean DataHandler for each functional test action

#4 - 2014-03-11 23:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:596d1706f4056c22bf3e5a8eaa7c2dd5be8c5739.
